//
//  TnMapAnnotationAnimationParams.h
//
//  Created by bohu on 8/25/14.
//
//

#ifndef TN_MAP_ANNOTATION_ANIMATION_PARAMS_H
#define TN_MAP_ANNOTATION_ANIMATION_PARAMS_H

#include <foundation/TnTypes.h>

class TnMapAnnotationAnimationParams
{
public:
    TnMapAnnotationAnimationParams() :
    halo_color_r(0),
    halo_color_g(0),
    halo_color_b(0),
    halo_color_a(255),
    halo_offset_x(0.0f),
    halo_offset_y(0.0f)
    {
        // empty
    }
    
    void SetHaloColor(uint8_t red, uint8_t green, uint8_t blue, uint8_t alpha = 255)
    {
        halo_color_r = red;
        halo_color_g = green;
        halo_color_b = blue;
        halo_color_a = alpha;
    }
    
    uint8_t GetHaloColorReg() const { return halo_color_r; }
    uint8_t GetHaloColorGreen() const { return halo_color_g; }
    uint8_t GetHaloColorBlue() const { return halo_color_b; }
    uint8_t GetHaloColorAlpha() const { return halo_color_a; }
    
    void SetHaloOffset(float offset_x, float offset_y)
    {
        halo_offset_x = offset_x;
        halo_offset_y = offset_y;
    }
    
    float GetHaloOffsetX() const { return halo_offset_x; }
    float GetHaloOffsetY() const { return halo_offset_y; }
    

    
private:
    uint8_t halo_color_r;
    uint8_t halo_color_g;
    uint8_t halo_color_b;
    uint8_t halo_color_a;
    
    float halo_offset_x;
    float halo_offset_y;
};


#endif  // TN_MAP_ANNOTATION_ANIMATION_PARAMS_H
